//
//  Comic.h
//  PowerComicReader
//
//  Created by Sebastian Suelves Selles on 10/03/13.
//  Copyright (c) 2013 Sebastian Suelves Selles. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Comic : NSObject

@property (strong, nonatomic) NSString *coleccion;
@property (strong, nonatomic) NSNumber *ordenColeccion;
@property (strong, nonatomic, readonly) NSNumber *paginaActual;
@property (strong, nonatomic, readonly) NSNumber *numeroPaginas;
@property (strong, nonatomic, readonly) NSString *directorio;
@property (strong, nonatomic, readonly) NSString *extensionImagenes;




//inicializador Designado
- (id) initWithColeccion:(NSString *)coleccion AndOrdenColeccion:(NSNumber *)ordenColeccion AndPaginaActual:(NSNumber *)paginaActual AndNumPaginas:(NSNumber *)numeroPaginas AndDirectorio:(NSString *)directorio AndExtensionImagenes:(NSString *)extensionImagenes;

- (UIImage *)paginaSiguiente;
- (UIImage *)paginaAnterior;
- (UIImage *)imagenMiniatura;
- (UIImage *)imagenActual;

@end
