//
//  CDataColeccion.h
//  PowerComicReader
//
//  Created by Sebastian Suelves Selles on 04/05/13.
//  Copyright (c) 2013 Sebastian Suelves Selles. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class CDataComic;

@interface CDataColeccion : NSManagedObject

@property (nonatomic, retain) NSString * coleccion;
@property (nonatomic, retain) NSNumber * ordenVisualizacion;
@property (nonatomic, retain) NSSet *coleccionComic;
@end

@interface CDataColeccion (CoreDataGeneratedAccessors)

- (void)addColeccionComicObject:(CDataComic *)value;
- (void)removeColeccionComicObject:(CDataComic *)value;
- (void)addColeccionComic:(NSSet *)values;
- (void)removeColeccionComic:(NSSet *)values;

@end
