//
//  CelulaComic.m
//  PowerComicReader
//
//  Created by Sebastian Suelves Selles on 25/03/13.
//  Copyright (c) 2013 Sebastian Suelves Selles. All rights reserved.
//

#import "CelulaComic.h"
#import <QuartzCore/QuartzCore.h>

@class ComicCell;

@implementation CelulaComic

-(id)initWithCoder:(NSCoder *)aDecoder
{
    self = [super initWithCoder:aDecoder];
    if (self) {
        UIView *bgView = [[UIView alloc] initWithFrame:self.backgroundView.frame];
        bgView.backgroundColor = [UIColor blueColor];
        
        bgView.layer.borderColor = [[UIColor whiteColor] CGColor];
        
        bgView.layer.borderWidth = 4;
        self.selectedBackgroundView = bgView;
        
    }
    return self;
}

- (void) setThumnail:(UIImage *)thumnail
{
    if (_thumnail != thumnail)
    {
        _thumnail = thumnail;
    }
    self.imageView.image = _thumnail;
}
/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect
{
    // Drawing code
}
*/

@end
